def gen_gismu(line):
    name = line[1:7].strip()
    description = line[62:159].strip()
    use = line[159:160]
    if use == 'a': use = 10
    else: use = int(use, 10)
    ratio = use - 10
    return name, description, ratio

import sqlite

cx = sqlite.connect("trainer.db")
cu = cx.cursor()

cu.execute('''
    CREATE TABLE gismu
    (name TEXT,
     description TEXT,
     ratio NUMERIC,
     id INTEGER PRIMARY KEY)''')

for line in file("gismu-list.txt"):
    cu.execute("INSERT INTO gismu (name, description, ratio) VALUES (%s, %s, %i)", gen_gismu(line))

cu.close()
cx.commit()
cx.close()

