""" Author and maintainer: Henri Tuhola // server: irc.freenode.net nick: Cheery
    License: Public Domain

 INSTRUCTIONS:
  Answer the right gismu to questions. 
  Don't worry or start looking into dictionary if you don't know every gismu,
   if you don't know the gismu at start, write word with some language
   instead you know. You see your score from score.py
"""

print """   cilre fi ro le gismu

 - The working edition -

Read beginning of quiz.py for instructions how to play.
"""
GREWARD = 1
GPUNISH = 2
GONCE = 4


import sqlite

cx = sqlite.connect("trainer.db")
cu = cx.cursor()

def hide_answers():
    for x in xrange(250):
        print

def store_score(quiz_list, answers):
    for (name, desc, ratio), answer in zip(quiz_list, answers):
        if answer == name: ratio += GREWARD
        else:              ratio -= GPUNISH
        cu.execute("UPDATE gismu SET ratio = %i WHERE name = %s", ratio, name)
        cx.commit()

def gen_quiz():
    cu.execute("SELECT name, description, ratio FROM gismu GROUP BY ratio")
    return cu.fetchmany(GONCE)

def count_answers(quiz_list, answers):
    result = [q == a for (q, d, r), a in zip(quiz_list, answers)]
    return result.count(True), len(result)

def show_results(quiz_list, answers):
    for (name, desc, ratio), answer in zip(quiz_list, answers):
        print "    " + name, "   you answered:", answer
        print desc
        print
    print " - you answered %i right from %i - " % count_answers(quiz_list, answers)
    print

def ask(quiz):
    print "    " + quiz[1]
    print " *",
    answer = raw_input().strip(' ')
    print
    return answer

quiz_list = gen_quiz()
while 1:
    answers = [ask(quiz) for quiz in quiz_list]
    show_results(quiz_list, answers)
    store_score(quiz_list, answers)
    calculus = lambda x, y: x == y
    if calculus(*count_answers(quiz_list, answers)):
        quiz_list = gen_quiz()
    print "press enter to continue..."
    raw_input()
    hide_answers()

cu.close()
cx.close()
